Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network7.67.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
7.67.0.0
Broadcast address
7.67.127.255
First usable
7.67.0.1
Last usable
7.67.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 07430000 · Integer 121831424 to 121864191
Reverse DNS zones
0.67.7.in-addr.arpa
1.67.7.in-addr.arpa
2.67.7.in-addr.arpa
3.67.7.in-addr.arpa
4.67.7.in-addr.arpa
5.67.7.in-addr.arpa
6.67.7.in-addr.arpa
7.67.7.in-addr.arpa
8.67.7.in-addr.arpa
9.67.7.in-addr.arpa
10.67.7.in-addr.arpa
11.67.7.in-addr.arpa
12.67.7.in-addr.arpa
13.67.7.in-addr.arpa
14.67.7.in-addr.arpa
15.67.7.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000111.01000011.00000000.000000007.67.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00000111.01000011.00000000.000000007.67.0.0
Broadcast00000111.01000011.01111111.111111117.67.127.255
Split into smaller subnets/29

7.67.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
17.67.0.0/297.67.0.1 to 7.67.0.67.67.0.76
27.67.0.8/297.67.0.9 to 7.67.0.147.67.0.156
37.67.0.16/297.67.0.17 to 7.67.0.227.67.0.236
47.67.0.24/297.67.0.25 to 7.67.0.307.67.0.316
57.67.0.32/297.67.0.33 to 7.67.0.387.67.0.396
67.67.0.40/297.67.0.41 to 7.67.0.467.67.0.476
77.67.0.48/297.67.0.49 to 7.67.0.547.67.0.556
87.67.0.56/297.67.0.57 to 7.67.0.627.67.0.636
97.67.0.64/297.67.0.65 to 7.67.0.707.67.0.716
107.67.0.72/297.67.0.73 to 7.67.0.787.67.0.796
117.67.0.80/297.67.0.81 to 7.67.0.867.67.0.876
127.67.0.88/297.67.0.89 to 7.67.0.947.67.0.956
137.67.0.96/297.67.0.97 to 7.67.0.1027.67.0.1036
147.67.0.104/297.67.0.105 to 7.67.0.1107.67.0.1116
157.67.0.112/297.67.0.113 to 7.67.0.1187.67.0.1196
167.67.0.120/297.67.0.121 to 7.67.0.1267.67.0.1276
177.67.0.128/297.67.0.129 to 7.67.0.1347.67.0.1356
187.67.0.136/297.67.0.137 to 7.67.0.1427.67.0.1436
197.67.0.144/297.67.0.145 to 7.67.0.1507.67.0.1516
207.67.0.152/297.67.0.153 to 7.67.0.1587.67.0.1596
217.67.0.160/297.67.0.161 to 7.67.0.1667.67.0.1676
227.67.0.168/297.67.0.169 to 7.67.0.1747.67.0.1756
237.67.0.176/297.67.0.177 to 7.67.0.1827.67.0.1836
247.67.0.184/297.67.0.185 to 7.67.0.1907.67.0.1916
257.67.0.192/297.67.0.193 to 7.67.0.1987.67.0.1996
267.67.0.200/297.67.0.201 to 7.67.0.2067.67.0.2076
277.67.0.208/297.67.0.209 to 7.67.0.2147.67.0.2156
287.67.0.216/297.67.0.217 to 7.67.0.2227.67.0.2236
297.67.0.224/297.67.0.225 to 7.67.0.2307.67.0.2316
307.67.0.232/297.67.0.233 to 7.67.0.2387.67.0.2396
317.67.0.240/297.67.0.241 to 7.67.0.2467.67.0.2476
327.67.0.248/297.67.0.249 to 7.67.0.2547.67.0.2556
337.67.1.0/297.67.1.1 to 7.67.1.67.67.1.76
347.67.1.8/297.67.1.9 to 7.67.1.147.67.1.156
357.67.1.16/297.67.1.17 to 7.67.1.227.67.1.236
367.67.1.24/297.67.1.25 to 7.67.1.307.67.1.316
377.67.1.32/297.67.1.33 to 7.67.1.387.67.1.396
387.67.1.40/297.67.1.41 to 7.67.1.467.67.1.476
397.67.1.48/297.67.1.49 to 7.67.1.547.67.1.556
407.67.1.56/297.67.1.57 to 7.67.1.627.67.1.636
417.67.1.64/297.67.1.65 to 7.67.1.707.67.1.716
427.67.1.72/297.67.1.73 to 7.67.1.787.67.1.796
437.67.1.80/297.67.1.81 to 7.67.1.867.67.1.876
447.67.1.88/297.67.1.89 to 7.67.1.947.67.1.956
457.67.1.96/297.67.1.97 to 7.67.1.1027.67.1.1036
467.67.1.104/297.67.1.105 to 7.67.1.1107.67.1.1116
477.67.1.112/297.67.1.113 to 7.67.1.1187.67.1.1196
487.67.1.120/297.67.1.121 to 7.67.1.1267.67.1.1276
497.67.1.128/297.67.1.129 to 7.67.1.1347.67.1.1356
507.67.1.136/297.67.1.137 to 7.67.1.1427.67.1.1436
517.67.1.144/297.67.1.145 to 7.67.1.1507.67.1.1516
527.67.1.152/297.67.1.153 to 7.67.1.1587.67.1.1596
537.67.1.160/297.67.1.161 to 7.67.1.1667.67.1.1676
547.67.1.168/297.67.1.169 to 7.67.1.1747.67.1.1756
557.67.1.176/297.67.1.177 to 7.67.1.1827.67.1.1836
567.67.1.184/297.67.1.185 to 7.67.1.1907.67.1.1916
577.67.1.192/297.67.1.193 to 7.67.1.1987.67.1.1996
587.67.1.200/297.67.1.201 to 7.67.1.2067.67.1.2076
597.67.1.208/297.67.1.209 to 7.67.1.2147.67.1.2156
607.67.1.216/297.67.1.217 to 7.67.1.2227.67.1.2236
617.67.1.224/297.67.1.225 to 7.67.1.2307.67.1.2316
627.67.1.232/297.67.1.233 to 7.67.1.2387.67.1.2396
637.67.1.240/297.67.1.241 to 7.67.1.2467.67.1.2476
647.67.1.248/297.67.1.249 to 7.67.1.2547.67.1.2556
657.67.2.0/297.67.2.1 to 7.67.2.67.67.2.76
667.67.2.8/297.67.2.9 to 7.67.2.147.67.2.156
677.67.2.16/297.67.2.17 to 7.67.2.227.67.2.236
687.67.2.24/297.67.2.25 to 7.67.2.307.67.2.316
697.67.2.32/297.67.2.33 to 7.67.2.387.67.2.396
707.67.2.40/297.67.2.41 to 7.67.2.467.67.2.476
717.67.2.48/297.67.2.49 to 7.67.2.547.67.2.556
727.67.2.56/297.67.2.57 to 7.67.2.627.67.2.636
737.67.2.64/297.67.2.65 to 7.67.2.707.67.2.716
747.67.2.72/297.67.2.73 to 7.67.2.787.67.2.796
757.67.2.80/297.67.2.81 to 7.67.2.867.67.2.876
767.67.2.88/297.67.2.89 to 7.67.2.947.67.2.956
777.67.2.96/297.67.2.97 to 7.67.2.1027.67.2.1036
787.67.2.104/297.67.2.105 to 7.67.2.1107.67.2.1116
797.67.2.112/297.67.2.113 to 7.67.2.1187.67.2.1196
807.67.2.120/297.67.2.121 to 7.67.2.1267.67.2.1276
817.67.2.128/297.67.2.129 to 7.67.2.1347.67.2.1356
827.67.2.136/297.67.2.137 to 7.67.2.1427.67.2.1436
837.67.2.144/297.67.2.145 to 7.67.2.1507.67.2.1516
847.67.2.152/297.67.2.153 to 7.67.2.1587.67.2.1596
857.67.2.160/297.67.2.161 to 7.67.2.1667.67.2.1676
867.67.2.168/297.67.2.169 to 7.67.2.1747.67.2.1756
877.67.2.176/297.67.2.177 to 7.67.2.1827.67.2.1836
887.67.2.184/297.67.2.185 to 7.67.2.1907.67.2.1916
897.67.2.192/297.67.2.193 to 7.67.2.1987.67.2.1996
907.67.2.200/297.67.2.201 to 7.67.2.2067.67.2.2076
917.67.2.208/297.67.2.209 to 7.67.2.2147.67.2.2156
927.67.2.216/297.67.2.217 to 7.67.2.2227.67.2.2236
937.67.2.224/297.67.2.225 to 7.67.2.2307.67.2.2316
947.67.2.232/297.67.2.233 to 7.67.2.2387.67.2.2396
957.67.2.240/297.67.2.241 to 7.67.2.2467.67.2.2476
967.67.2.248/297.67.2.249 to 7.67.2.2547.67.2.2556
977.67.3.0/297.67.3.1 to 7.67.3.67.67.3.76
987.67.3.8/297.67.3.9 to 7.67.3.147.67.3.156
997.67.3.16/297.67.3.17 to 7.67.3.227.67.3.236
1007.67.3.24/297.67.3.25 to 7.67.3.307.67.3.316
1017.67.3.32/297.67.3.33 to 7.67.3.387.67.3.396
1027.67.3.40/297.67.3.41 to 7.67.3.467.67.3.476
1037.67.3.48/297.67.3.49 to 7.67.3.547.67.3.556
1047.67.3.56/297.67.3.57 to 7.67.3.627.67.3.636
1057.67.3.64/297.67.3.65 to 7.67.3.707.67.3.716
1067.67.3.72/297.67.3.73 to 7.67.3.787.67.3.796
1077.67.3.80/297.67.3.81 to 7.67.3.867.67.3.876
1087.67.3.88/297.67.3.89 to 7.67.3.947.67.3.956
1097.67.3.96/297.67.3.97 to 7.67.3.1027.67.3.1036
1107.67.3.104/297.67.3.105 to 7.67.3.1107.67.3.1116
1117.67.3.112/297.67.3.113 to 7.67.3.1187.67.3.1196
1127.67.3.120/297.67.3.121 to 7.67.3.1267.67.3.1276
1137.67.3.128/297.67.3.129 to 7.67.3.1347.67.3.1356
1147.67.3.136/297.67.3.137 to 7.67.3.1427.67.3.1436
1157.67.3.144/297.67.3.145 to 7.67.3.1507.67.3.1516
1167.67.3.152/297.67.3.153 to 7.67.3.1587.67.3.1596
1177.67.3.160/297.67.3.161 to 7.67.3.1667.67.3.1676
1187.67.3.168/297.67.3.169 to 7.67.3.1747.67.3.1756
1197.67.3.176/297.67.3.177 to 7.67.3.1827.67.3.1836
1207.67.3.184/297.67.3.185 to 7.67.3.1907.67.3.1916
1217.67.3.192/297.67.3.193 to 7.67.3.1987.67.3.1996
1227.67.3.200/297.67.3.201 to 7.67.3.2067.67.3.2076
1237.67.3.208/297.67.3.209 to 7.67.3.2147.67.3.2156
1247.67.3.216/297.67.3.217 to 7.67.3.2227.67.3.2236
1257.67.3.224/297.67.3.225 to 7.67.3.2307.67.3.2316
1267.67.3.232/297.67.3.233 to 7.67.3.2387.67.3.2396
1277.67.3.240/297.67.3.241 to 7.67.3.2467.67.3.2476
1287.67.3.248/297.67.3.249 to 7.67.3.2547.67.3.2556
1297.67.4.0/297.67.4.1 to 7.67.4.67.67.4.76
1307.67.4.8/297.67.4.9 to 7.67.4.147.67.4.156
1317.67.4.16/297.67.4.17 to 7.67.4.227.67.4.236
1327.67.4.24/297.67.4.25 to 7.67.4.307.67.4.316
1337.67.4.32/297.67.4.33 to 7.67.4.387.67.4.396
1347.67.4.40/297.67.4.41 to 7.67.4.467.67.4.476
1357.67.4.48/297.67.4.49 to 7.67.4.547.67.4.556
1367.67.4.56/297.67.4.57 to 7.67.4.627.67.4.636
1377.67.4.64/297.67.4.65 to 7.67.4.707.67.4.716
1387.67.4.72/297.67.4.73 to 7.67.4.787.67.4.796
1397.67.4.80/297.67.4.81 to 7.67.4.867.67.4.876
1407.67.4.88/297.67.4.89 to 7.67.4.947.67.4.956
1417.67.4.96/297.67.4.97 to 7.67.4.1027.67.4.1036
1427.67.4.104/297.67.4.105 to 7.67.4.1107.67.4.1116
1437.67.4.112/297.67.4.113 to 7.67.4.1187.67.4.1196
1447.67.4.120/297.67.4.121 to 7.67.4.1267.67.4.1276
1457.67.4.128/297.67.4.129 to 7.67.4.1347.67.4.1356
1467.67.4.136/297.67.4.137 to 7.67.4.1427.67.4.1436
1477.67.4.144/297.67.4.145 to 7.67.4.1507.67.4.1516
1487.67.4.152/297.67.4.153 to 7.67.4.1587.67.4.1596
1497.67.4.160/297.67.4.161 to 7.67.4.1667.67.4.1676
1507.67.4.168/297.67.4.169 to 7.67.4.1747.67.4.1756
1517.67.4.176/297.67.4.177 to 7.67.4.1827.67.4.1836
1527.67.4.184/297.67.4.185 to 7.67.4.1907.67.4.1916
1537.67.4.192/297.67.4.193 to 7.67.4.1987.67.4.1996
1547.67.4.200/297.67.4.201 to 7.67.4.2067.67.4.2076
1557.67.4.208/297.67.4.209 to 7.67.4.2147.67.4.2156
1567.67.4.216/297.67.4.217 to 7.67.4.2227.67.4.2236
1577.67.4.224/297.67.4.225 to 7.67.4.2307.67.4.2316
1587.67.4.232/297.67.4.233 to 7.67.4.2387.67.4.2396
1597.67.4.240/297.67.4.241 to 7.67.4.2467.67.4.2476
1607.67.4.248/297.67.4.249 to 7.67.4.2547.67.4.2556
1617.67.5.0/297.67.5.1 to 7.67.5.67.67.5.76
1627.67.5.8/297.67.5.9 to 7.67.5.147.67.5.156
1637.67.5.16/297.67.5.17 to 7.67.5.227.67.5.236
1647.67.5.24/297.67.5.25 to 7.67.5.307.67.5.316
1657.67.5.32/297.67.5.33 to 7.67.5.387.67.5.396
1667.67.5.40/297.67.5.41 to 7.67.5.467.67.5.476
1677.67.5.48/297.67.5.49 to 7.67.5.547.67.5.556
1687.67.5.56/297.67.5.57 to 7.67.5.627.67.5.636
1697.67.5.64/297.67.5.65 to 7.67.5.707.67.5.716
1707.67.5.72/297.67.5.73 to 7.67.5.787.67.5.796
1717.67.5.80/297.67.5.81 to 7.67.5.867.67.5.876
1727.67.5.88/297.67.5.89 to 7.67.5.947.67.5.956
1737.67.5.96/297.67.5.97 to 7.67.5.1027.67.5.1036
1747.67.5.104/297.67.5.105 to 7.67.5.1107.67.5.1116
1757.67.5.112/297.67.5.113 to 7.67.5.1187.67.5.1196
1767.67.5.120/297.67.5.121 to 7.67.5.1267.67.5.1276
1777.67.5.128/297.67.5.129 to 7.67.5.1347.67.5.1356
1787.67.5.136/297.67.5.137 to 7.67.5.1427.67.5.1436
1797.67.5.144/297.67.5.145 to 7.67.5.1507.67.5.1516
1807.67.5.152/297.67.5.153 to 7.67.5.1587.67.5.1596
1817.67.5.160/297.67.5.161 to 7.67.5.1667.67.5.1676
1827.67.5.168/297.67.5.169 to 7.67.5.1747.67.5.1756
1837.67.5.176/297.67.5.177 to 7.67.5.1827.67.5.1836
1847.67.5.184/297.67.5.185 to 7.67.5.1907.67.5.1916
1857.67.5.192/297.67.5.193 to 7.67.5.1987.67.5.1996
1867.67.5.200/297.67.5.201 to 7.67.5.2067.67.5.2076
1877.67.5.208/297.67.5.209 to 7.67.5.2147.67.5.2156
1887.67.5.216/297.67.5.217 to 7.67.5.2227.67.5.2236
1897.67.5.224/297.67.5.225 to 7.67.5.2307.67.5.2316
1907.67.5.232/297.67.5.233 to 7.67.5.2387.67.5.2396
1917.67.5.240/297.67.5.241 to 7.67.5.2467.67.5.2476
1927.67.5.248/297.67.5.249 to 7.67.5.2547.67.5.2556
1937.67.6.0/297.67.6.1 to 7.67.6.67.67.6.76
1947.67.6.8/297.67.6.9 to 7.67.6.147.67.6.156
1957.67.6.16/297.67.6.17 to 7.67.6.227.67.6.236
1967.67.6.24/297.67.6.25 to 7.67.6.307.67.6.316
1977.67.6.32/297.67.6.33 to 7.67.6.387.67.6.396
1987.67.6.40/297.67.6.41 to 7.67.6.467.67.6.476
1997.67.6.48/297.67.6.49 to 7.67.6.547.67.6.556
2007.67.6.56/297.67.6.57 to 7.67.6.627.67.6.636
2017.67.6.64/297.67.6.65 to 7.67.6.707.67.6.716
2027.67.6.72/297.67.6.73 to 7.67.6.787.67.6.796
2037.67.6.80/297.67.6.81 to 7.67.6.867.67.6.876
2047.67.6.88/297.67.6.89 to 7.67.6.947.67.6.956
2057.67.6.96/297.67.6.97 to 7.67.6.1027.67.6.1036
2067.67.6.104/297.67.6.105 to 7.67.6.1107.67.6.1116
2077.67.6.112/297.67.6.113 to 7.67.6.1187.67.6.1196
2087.67.6.120/297.67.6.121 to 7.67.6.1267.67.6.1276
2097.67.6.128/297.67.6.129 to 7.67.6.1347.67.6.1356
2107.67.6.136/297.67.6.137 to 7.67.6.1427.67.6.1436
2117.67.6.144/297.67.6.145 to 7.67.6.1507.67.6.1516
2127.67.6.152/297.67.6.153 to 7.67.6.1587.67.6.1596
2137.67.6.160/297.67.6.161 to 7.67.6.1667.67.6.1676
2147.67.6.168/297.67.6.169 to 7.67.6.1747.67.6.1756
2157.67.6.176/297.67.6.177 to 7.67.6.1827.67.6.1836
2167.67.6.184/297.67.6.185 to 7.67.6.1907.67.6.1916
2177.67.6.192/297.67.6.193 to 7.67.6.1987.67.6.1996
2187.67.6.200/297.67.6.201 to 7.67.6.2067.67.6.2076
2197.67.6.208/297.67.6.209 to 7.67.6.2147.67.6.2156
2207.67.6.216/297.67.6.217 to 7.67.6.2227.67.6.2236
2217.67.6.224/297.67.6.225 to 7.67.6.2307.67.6.2316
2227.67.6.232/297.67.6.233 to 7.67.6.2387.67.6.2396
2237.67.6.240/297.67.6.241 to 7.67.6.2467.67.6.2476
2247.67.6.248/297.67.6.249 to 7.67.6.2547.67.6.2556
2257.67.7.0/297.67.7.1 to 7.67.7.67.67.7.76
2267.67.7.8/297.67.7.9 to 7.67.7.147.67.7.156
2277.67.7.16/297.67.7.17 to 7.67.7.227.67.7.236
2287.67.7.24/297.67.7.25 to 7.67.7.307.67.7.316
2297.67.7.32/297.67.7.33 to 7.67.7.387.67.7.396
2307.67.7.40/297.67.7.41 to 7.67.7.467.67.7.476
2317.67.7.48/297.67.7.49 to 7.67.7.547.67.7.556
2327.67.7.56/297.67.7.57 to 7.67.7.627.67.7.636
2337.67.7.64/297.67.7.65 to 7.67.7.707.67.7.716
2347.67.7.72/297.67.7.73 to 7.67.7.787.67.7.796
2357.67.7.80/297.67.7.81 to 7.67.7.867.67.7.876
2367.67.7.88/297.67.7.89 to 7.67.7.947.67.7.956
2377.67.7.96/297.67.7.97 to 7.67.7.1027.67.7.1036
2387.67.7.104/297.67.7.105 to 7.67.7.1107.67.7.1116
2397.67.7.112/297.67.7.113 to 7.67.7.1187.67.7.1196
2407.67.7.120/297.67.7.121 to 7.67.7.1267.67.7.1276
2417.67.7.128/297.67.7.129 to 7.67.7.1347.67.7.1356
2427.67.7.136/297.67.7.137 to 7.67.7.1427.67.7.1436
2437.67.7.144/297.67.7.145 to 7.67.7.1507.67.7.1516
2447.67.7.152/297.67.7.153 to 7.67.7.1587.67.7.1596
2457.67.7.160/297.67.7.161 to 7.67.7.1667.67.7.1676
2467.67.7.168/297.67.7.169 to 7.67.7.1747.67.7.1756
2477.67.7.176/297.67.7.177 to 7.67.7.1827.67.7.1836
2487.67.7.184/297.67.7.185 to 7.67.7.1907.67.7.1916
2497.67.7.192/297.67.7.193 to 7.67.7.1987.67.7.1996
2507.67.7.200/297.67.7.201 to 7.67.7.2067.67.7.2076
2517.67.7.208/297.67.7.209 to 7.67.7.2147.67.7.2156
2527.67.7.216/297.67.7.217 to 7.67.7.2227.67.7.2236
2537.67.7.224/297.67.7.225 to 7.67.7.2307.67.7.2316
2547.67.7.232/297.67.7.233 to 7.67.7.2387.67.7.2396
2557.67.7.240/297.67.7.241 to 7.67.7.2467.67.7.2476
2567.67.7.248/297.67.7.249 to 7.67.7.2547.67.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses